---
title: Platform as a Product
weight: 13
tags:
 - platform
 - cloudnativecon
---

{{% button href="https://youtu.be/DoiaHfl9Y7Y" style="warning" icon="video" %}}Watch talk on YouTube{{% /button %}}
<!-- {{% button href="https://docs.google.com/presentation/d/1nEK0CVC_yQgIDqwsdh-PRihB6dc9RyT-" style="tip" icon="person-chalkboard" %}}Slides{{% /button %}} -->

The CNCF's research into product thinking for platforms.

## But why

- Get insights into the current product thinking practives of platform builders
- Topics: Needs/Paintpoints/Behaviour
- Target: Create personas based on insights
- Find out what people are doing, not hew they are doing

## How?

- Survey for quantity
- Interviews for quality

## Challenges

- Asking questions without sugessting answers
- Consensus on research goals
- Motivation and time investment (on interviewer and interviewee side) + Non-Responses
- Toolsing: There is no standard tooling at the CNCF for this kind of research
- Small sample size -> No real research insights, just signals/hints

## Analysis

- Working with assumptions was hard in combination with the small sample size
- Survey: Survey Tool (Google Forms) combined with a whiteboard tool for clustering and analysis
- Interviews: They used ai for time efficiency but the prompt escalated a bit leading to no real time gain -> But you can scale the same prompt to infinite sample sized
- Challemnge: AI confidently churns out wrong answers -> Use source links to verify and scoping 

TODO: Steal worklow from slides

## Outcome/Signals

- Platform Orgs use Prioritization Frameworks onconsciously: "We don't use product management and tools like that" -> Well you do, you just don't call it PM and are a bit unstructured
    - Structured Activities: Interviews (talking to each other), Focus groups, quantitative data, ...
    - Roadmap influence: Insight, prioritization, painpoints, backlogs
    - Regular planning meetings
- Platform orgs struggle to define and actually implement measures of success: Measure activity over impact, success is often felt instead of proved
- Platform teams have varied control over their work: Depndening on company size and business relationships

## Future

- Baseline: They have some signals
- Question: Are these pattern successfull
- Needed: More data and better organization